/*
 * My Log class (ON/OFF capable)
 *  for Wi-Fi view & select
 */
package jp.gr.java_conf.j_sota.wifiviewandselect;

import android.util.Log;

public class MyLog {

	private static final boolean logOut = false;		// Log ON/OFF switch
	
	/**
	 * Show debug log if enable
	 * @param tag		Tag
	 * @param message	Message
	 */
	public static final void d(String tag, String message) {
		if (logOut) {
			Log.d(tag, message);
		}
	}
}
