/*
 * Wi-Fi ON/OFF switch failed dialog
 *  for Wi-Fi view & select
 */
package jp.gr.java_conf.j_sota.wifiviewandselect;

import android.app.Dialog;
import android.os.Bundle;
import android.support.v4.app.DialogFragment;
import android.view.View;
import android.view.View.OnClickListener;

public class SwitchFailedDialog extends DialogFragment {
	
	/**
	 * Constructor
	 */
	public SwitchFailedDialog() {
		//do nothing
	}
	
	/**
	 * Create a dialog
	 * @param savedInstanceState
	 * @return Dialog	Dialog
	 */
	@Override
	public Dialog onCreateDialog(Bundle savedInstanceState) {
		Dialog dialog = new Dialog(getActivity());
		dialog.setContentView(R.layout.switch_failed_dialog);
		dialog.setTitle(getString(R.string.dialog_title_switch_failed));

		dialog.findViewById(R.id.buttonOk).setOnClickListener(new OnClickListener() {

			/**
			 * Button click listener
			 * @param v   view
			 */
			@Override
			public void onClick(View v) {
				dismiss();
			}
		});
		return dialog;
	}


}
